## ros-indigo-rostopic 1.11.21

=== debian/changelog ===
ros-indigo-rostopic (1.11.21-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Mar 2017 08:00:00 -0000

ros-indigo-rostopic (1.11.20-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jun 2016 07:00:00 -0000

ros-indigo-rostopic (1.11.19-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-indigo-rostopic (1.11.18-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-indigo-rostopic (1.11.17-0trusty) trusty; urgency=high

  * add "rostopic delay" to measure message delay compared to the input from real world (#719 <https://github.com/ros/ros_comm/pull/719>)
  * add option to perform keyword substitution for messages published with "rostopic pub" (#702 <https://github.com/ros/ros_comm/pull/702>)
  * add wall-time option for rostopic hz (#674 <https://github.com/ros/ros_comm/pull/674>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-indigo-rostopic (1.11.16-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-indigo-rostopic (1.11.15-0trusty) trusty; urgency=high

  * add warning to rostopic hz about simulated time (#672 <https://github.com/ros/ros_comm/pull/672>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-indigo-rostopic (1.11.14-0trusty) trusty; urgency=high

  * support specifying multiple array indices (#606 <https://github.com/ros/ros_comm/pull/606>)
  * fix string type check if variable is unicode

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-indigo-rostopic (1.11.13-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-indigo-rostopic (1.11.12-0trusty) trusty; urgency=high

  * fix command parsing for rosservice and rostopic to not accept arbitrary substrings of 'list' (#609 <https://github.com/ros/ros_comm/issues/609>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-indigo-rostopic (1.11.11-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-indigo-rostopic (1.11.10-0trusty) trusty; urgency=high

  * add support for fixed-width floating-point and integer array values (#400 <https://github.com/ros/ros_comm/issues/400>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-indigo-rostopic (1.11.9-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-indigo-rostopic (1.11.8-0trusty) trusty; urgency=high

  * fix handling of array index when being part of the topic (#480 <https://github.com/ros/ros_comm/issues/480>)
  * support splice arguments in 'rostopic echo' (#480 <https://github.com/ros/ros_comm/issues/480>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-indigo-rostopic (1.11.7-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-indigo-rostopic (1.11.6-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-indigo-rostopic (1.11.5-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-indigo-rostopic (1.11.4-0trusty) trusty; urgency=high

  * Python 3 compatibility (#426 <https://github.com/ros/ros_comm/issues/426>, #427 <https://github.com/ros/ros_comm/issues/427>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-indigo-rostopic (1.11.3-0trusty) trusty; urgency=high

  * add publisher queue_size to rostopic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-indigo-rostopic (1.11.2-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-indigo-rostopic (1.11.1-0trusty) trusty; urgency=high

  * add check for message fields when determining message type (#376 <https://github.com/ros/ros_comm/issues/376>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-indigo-rostopic (1.11.0-0trusty) trusty; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * use catkin_install_python() to install Python scripts (#361 <https://github.com/ros/ros_comm/issues/361>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-indigo-rostopic (1.10.0-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 08:00:00 -0000

ros-indigo-rostopic (1.9.54-0trusty) trusty; urgency=high

  * fix wrong time in csv export when using 'rostopic echo -p -b' (#330 <https://github.com/ros/ros_comm/issues/330>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 08:00:00 -0000

ros-indigo-rostopic (1.9.53-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jan 2014 08:00:00 -0000

ros-indigo-rostopic (1.9.52-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-indigo-rostopic (1.9.51-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-indigo-rostopic (1.9.50-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-indigo-rostopic (1.9.49-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Sep 2013 07:00:00 -0000

ros-indigo-rostopic (1.9.48-0trusty) trusty; urgency=high

  * fix access to array fields by index (regression of #242 <https://github.com/ros/ros_comm/issues/242> in 1.9.47)


